import { jsx } from "react/jsx-runtime";
import { TokenOBI as TokenOBI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOBI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "OBI", "data-name": "TokenOBI", ...props, children: /* @__PURE__ */ jsx(TokenOBI$1, { variant }) });
  }
);
TokenOBI.displayName = "TokenOBI";
Object.assign(TokenOBI, { isGdsIcon: true });
export {
  TokenOBI
};
